Modify

Opened 7 years ago

Closed 5 years ago

Last modified 4 years ago

#9284 closed defect (wontfix)

brcm47xx - WRT54G3Gv2: wireless broken by default because of wrong macaddr - again...

Reported by: COVERek Owned by: hauke
Priority: high Milestone: Barrier Breaker 14.07
Component: base system Version: Trunk
Keywords: Cc:

Description (last modified by hauke)

I have Linksys WRT54G3Gv2 and I have the same problem like this:

#7102

/etc/init.d/wmacfixup script don't work...

root@OpenWrt:~# cat /etc/config/wireless 
config wifi-device  radio0
	option type     mac80211
	option channel  11
	option macaddr	00:00:00:00:00:00
	option hwmode	11g

config wifi-iface
	option device   radio0
	option network  lan
	option mode     ap
	option ssid     OpenWrt
	option encryption none

root@OpenWrt:~# wifi
Configuration file: /var/run/hostapd-phy0.conf
Could not set interface wlan0 flags: Cannot assign requested address
nl80211: Could not set interface 'wlan0' UP
nl80211 driver initialization failed.
rmdir[ctrl_interface]: No such file or directory
Failed to start hostapd for phy0
root@OpenWrt:~# uci show wireless.radio0.macaddr
wireless.radio0.macaddr=00:00:00:00:00:00

Attachments (1)

999-ssb-debug.patch (2.0 KB) - added by hauke 7 years ago.

Download all attachments as: .zip

Change History (16)

comment:1 Changed 7 years ago by COVERek <coverek@…>

root@OpenWrt:~# cat /sys/class/ieee80211/phy0/macaddress
00:00:00:00:00:00

comment:2 Changed 7 years ago by jow

This is not related to wmacfixup at all and it is not even the same problem.

comment:3 Changed 7 years ago by hauke

  • Owner changed from developers to hauke
  • Status changed from new to accepted

Show post the output of "nvram show".

What version of OpenWrt are you suing?

comment:4 Changed 7 years ago by COVERek <coverek@…>

I have trunk r26748.

comment:5 Changed 7 years ago by COVERek <coverek@…>

QoS_wan_ctl=1
boot_from_fixed=0
language=EN
boardnum=42
LOG_WWAN_BUTTON=0
log_usbipaddr=
boot_ver=v5.5
filter_rule10=
dmz_src_any=1
wl0_wds_timeout=1
wl_bss_enabled=1
ddns_username_buf=
sms_autodel=off
wl0_channel=11
LOG_SETUP_WIZARD=0
wwan_dial_timeout=60
LOG_PORT_TRIGGER=0
wl_wme_no_ack=off
filter_dport_grp10=
wwan_auto=off
aol_block_traffic=0
lan_hwnames=
pci/1/1/pa0maxpwr=0x46
pa0b0=0x170c
pa0b1=0xfa24
pa0b2=0xfe70
skip_sn_check=0
port_priority_1=0
port_priority_2=0
wl_radio=1
ppp_static=0
port_priority_3=0
port_priority_4=0
wl_nmcsidx=-1
log_type=ilog
port_priority_0=0
led_gpio3=3
led_gpio4=4
noset_try_flag=1
led_gpio2=2
qos_appname6=
pci/1/1/pa0itssit=62
qos_appname7=
qos_appname8=
mfg_wait=on
qos_appname2=
auto_icmp1=0.0.0.0
wl0_wpa_gtk_rekey=3600
qos_appname3=
wwan_lcp_mis_rep=3
mac_clone_enable=0
qos_appname4=
qos_appname5=
wan_mtu=1500
wl0_key=1
ntp_mode=auto
wl_nbw_cap=2
wl_wep=disabled
wwan_cardid=9999
qos_appname1=
auto_icmp0=0.0.0.0
wl0_rts=2347
survey_net_status=0
wwan_icmp_rbt_threshold=300
wl0_nmode_protection=off
LOG_SINGLE_FORWARD=0
wl_auth=0
LOG_WWAN_ALIVE_CHECK=0
sdram_ncdl=0x108
port_flow_control_1=0
port_flow_control_2=0
ping_times=5
port_flow_control_3=0
lan_ifname=br0
port_flow_control_4=0
boot_hw_ver=1.0
port_flow_control_0=0
wl_wds=
ppp_ac=
wl0_country=IT
wl0_radarargs40_11n=5 4 4 100 0x6b0 0x6d9 0x2c40 0x7f07 12 195 2000 25 400000000 1000 6000000
firmware_version=v3.00.24
wl0_phytypes=g
wl_nmode_protection=off
pppoe_passwd=
wl_radius_key=
wl0_maxassoc=128
nov_bearer=None
wwan_apn=internet
wl_wep_bit=64
wl_crypto=tkip
pppoe_service=
ure_disable=1
pa0maxpwr=0x48
wl0_wme_bss_disable=0
sel_qosport5=0
ntp_server=
sel_qosport6=0
sel_qosport7=0
sel_qosport8=0
lan_dns=
sel_qosport1=0
sel_qosport2=0
filter_mac_grp10=
sel_qosport3=0
wl_rate=0
log_attenNet=0
sel_qosport4=0
ddns_service=dyndns
forward_portsip=
pa0itssit=62
enable_game=0
ddns_cache=
static_route_name=
wl_key1=
wl_key2=
wl_key3=
wl_key4=
sms_wolpc5=PC5
wl_passphrase=
dhcp_wins=wan
os_server=
wwan_service=umts_first
pppoe_static=0
sms_wolpc1=PC1
sms_wolpc2=PC2
sms_wolpc3=PC3
sms_wolpc4=PC4
port_rate_limit_1=0
port_rate_limit_2=0
port_rate_limit_3=0
port_rate_limit_4=0
wl0gpio2=0
wwan_icmp_mis_rep=3
wl0gpio3=0
port_rate_limit_0=0
papchap=auto
sms_phone4=+000000000000
sms_phone5=+000000000000
wl0_plcphdr=long
wl_wpa_gtk_rekey=3600
d11g_rateset=default
wl0_macmode=disabled
lan_dhcp=0
sms_phone1=+000000000000
sms_phone2=+000000000000
wl0_bss_maxassoc=128
sms_phone3=+000000000000
block_activex=0
ag0=255
wl_lazywds=0
wwan_card_model=None
james_hiden=c1y2b3e4r5t6a7n8
os_date=Aug  7 2008
http_lanport=80
wl_nband=2
dmz_enable=0
et1mdcport=1
wl_gmode=1
ping_ip=
LOG_WIRELESS=0
remote_ip_any=1
get_mac_index=1
LOG_SMS=0
LOG_DUAL_IMAGE=0
ident_pass=0
l2tp_server_ip=
wwan_idletime=60
wl0_wme_no_ack=off
wwan_lcp_interval=30
wan_gateway=0.0.0.0
wwan_wrong_pincode=0
apn_get_dns=1
filter_ip_grp8=
filter_ip_grp9=
boot_ok=ok
LOG_WRITE_SN=0
lan_route=
filter_ip_grp4=
filter_ip_grp5=
pci/1/1/ag0=0x00
filter_ip_grp6=
wwan_lcp=0
wl_net_reauth=36000
pppoe_ac=
filter_ip_grp7=
d11g_dtim=1
ddns_hostname=
filter_ip_grp1=
filter_ip_grp2=
filter_ip_grp3=
wl0.1_hwaddr=02:23:69:C3:30:84
QoS_lan_ctl=0
wan_lease=0
ppp_get_ac=
restore_defaults=0
wan_run_mtu=1500
wwan_icmp=0
wwan_aidletime=60
LOG_IPROUTE2=0
wl_maxassoc=128
wl0_akm=
d11g_mode=1
ppp_idletime=15
wl_nctrlsb=none
filter_dport_grp8=
filter_dport_grp9=
il0macaddr=00:23:69:c3:30:87
filter_dport_grp4=
wwan_card_firmware=None
filter_dport_grp5=
filter_dport_grp6=
filter_dport_grp7=
filter_dport_grp3=
upnp_config=1
filter_dport_grp1=
filter_dport_grp2=
wwan_ping_count=10
LOG_DIAG=0
wwan_status=0
LOG_MULTICAST=0
log_show_type=ALL
card_check=NO_CARD
wl0_wme_ap_bk=15 1023 7 0 0 off off
upnp_enable=1
wl0_corerev=9
wl_key=1
pppoe_demand=1
wl0_radius_key=
wl0_wme_ap_be=15 63 3 0 0 off off
wl_ap_isolate=0
lan_wins=
ddns_passwd_buf=
wl0_maclist=
wl_rts=2347
wl0_hwaddr=00:23:69:C3:30:87
ezc_version=2
wl0_wep_gen=
wl_channel=11
wl_wme_sta_bk=15 1023 7 0 0 off off
wwan_country=uk
wl_wme_sta_be=15 1023 3 0 0 off off
wan_hostname=
wl0_radio=1
ppp_mtu=1500
wan_ifname=eth1
pci/1/1/wl0gpio1=1
pci/1/1/wl0gpio2=11
pci/1/1/wl0gpio3=11
pci/1/1/wl0gpio0=2
wwan_auto_rty=off
os_version=4.151.10.5
noset_stable_flag=0
wl_ifname=
wan_wins=
LOG_LANG_SW=0
wl0_passphrase=
apn_mode=auto
wl_frameburst=off
boot_from=1
LOG_LANG_SP=0
wl_wme_ap_vo=3 7 1 3264 1504 off off
wl_wme_ap_vi=7 15 1 6016 3008 off off
LOG_DUAL_IMAGE_KERNEL_LZMA=0
LOG_PPPOE=0
ddns_hostname_2=
sms_cmd=0
LOG_L2TP=0
wwan_icmp_interval=30
pptp_mobile_auto=off
wwan_connect=0
sdram_config=0x0062
wwan_auto_count=5
dmz_ipaddr=0
security_mode_last=
filter_port_grp6=
filter_port_grp7=
filter_port_grp8=
wl0_nbw=20
filter_port_grp9=
filter_port_grp2=
aa0=3
filter_port_grp10=
filter_port_grp3=
wwan_gui=0
wl_unit=0
filter_port_grp4=
filter_id=1
filter_port_grp5=
ppp_mru=1500
nov_signal=None
LOG_LOGGER=0
filter_port_grp1=
skip_flah_check=0
sms_wolmac5=00:00:00:00:00:00
wl_country=IT
sms_wolmac1=00:00:00:00:00:00
wl_radarargs_11n=5 4 3 100 0x6b0 0x6f0 0x2c40 0x7f09 6 300 1200 25 200000000 1000 3000000
wl0_auth=0
wl_40m_disable=1
wl0_mac_deny=
sms_wolmac2=00:00:00:00:00:00
sms_wolmac3=00:00:00:00:00:00
sms_wolmac4=00:00:00:00:00:00
log_status=5
ppp_static_ip=
d11g_frag=2346
LOG_PPTP=0
wl_active_mac=
ntp_enable=1
forward_port=
wl_radarargs_11a=5 4 4 100 0x2b0 0x2f0 0x0 0x0 8 500 4000 10 240000000 1000 3000000
wl0_net_reauth=36000
LOG_SYSLOG=0
log_usbstatus=0
LOG_CRON=0
filter_tod_buf10=
wwan_refresh=0
hb_server_domain=
public_ip=
d11g_bcn=100
pci/1/1/aa0=0x03
wl_dtim=1
wl_wds_timeout=1
lan_hwaddr=00:23:69:C3:30:85
wl0_antdiv=-1
security_mode2=disabled
wl0_rate=0
wl0_closed=0
LOG_LANG_PT=0
wl0_phytype=g
skip_amd_check=0
wl_mode=ap
remote_mgt_https=0
http_passwd=admin
block_wan=1
pptp_pass=1
wl_auth_mode=none
ppp_keepalive=0
wwan_username=web
wl0_key3=
filter_mac_grp6=
wl0.2_hwaddr=02:23:69:C3:30:85
wl0_key4=
filter_mac_grp7=
filter_mac_grp8=
filter_client0=
filter_mac_grp9=
wl_macmode=disabled
filter_mac_grp2=
filter_mac_grp3=
wan_hwname=
wl0_key1=
filter_mac_grp4=
wan_netmask=0.0.0.0
wl0id=0x4320
wl0_key2=
pppoe_static_ip=
filter_mac_grp5=
qos_devname2=
wl_plcphdr=long
filter_mac_grp1=
ddns_backmx=NO
http_username=
port_trigger=
qos_devname1=
LOG_ZEBRA=0
lan_netmask=255.255.255.0
wl0_wep_last=
wl_active_add_mac=0
wl_ampdu=on
wl0_nband=2
wl_akm=
wl0_gmode=1
sromrev=2
filter_rule7=
filter_rule8=
filter_rule9=
wl0_ap_isolate=0
pptp_mobile_username=
filter_rule3=
filter_rule4=
filter_rule5=
filter_ip_grp10=
filter_rule6=
wl0_wme_sta_bk=15 1023 7 0 0 off off
filter_rule1=
filter_rule2=
ip_conntrack_tcp_timeouts=300 600 120 60 120 120 10 60 30 120
syslog_first_time=1
ppp_username=
wl0_wme_sta_be=15 1023 3 0 0 off off
LOG_LANG_NL=0
qos_appport8=0
Intel_firmware_version=v0.00.0
wl_infra=1
cimi=None
reset_gpio=6
qos_appport4=0
wl_leddc=0x640000
qos_appport5=0
qos_appport6=0
fw_disable=0
wl0_country_code=IT
qos_appport7=0
pppoe_keepalive=0
dmz_src_ip=0.0.0.0 0
LOG_VODAFONE=0
qos_appport1=0
qos_appport2=0
wl0_wep_buf=
qos_appport3=0
et0macaddr=00:23:69:C3:30:85
ddns_flag=0
filter=on
os_ram_addr=80001000
wl0_net_mode=bg-mixed
ping_size=32
wl0_frameburst=off
wl_mac_deny=
multicast_max=25
get_sn_index=1
LOG_UDHCPC=0
et1phyaddr=5
LOG_UDHCPD=0
LOG_PPPD=0
ddns_status=
wl0_radarargs_11n=5 4 3 100 0x6b0 0x6f0 0x2c40 0x7f09 6 300 1200 25 200000000 1000 3000000
LOG_DDNS=0
wl0_radarargs_11a=5 4 4 100 0x2b0 0x2f0 0x0 0x0 8 500 4000 10 240000000 1000 3000000
dl_ram_addr=a0001000
filter_tod6=
filter_tod7=
image_status=IMG_SAME
filter_tod8=
sdram_init=0x0009
wwan_aredialperiod=30
filter_tod9=
filter_tod2=
filter_tod3=
filter_tod4=
filter_tod5=
wwan_ppp_link=0
wl0_bcn=100
filter_tod1=
wl0_dfs_postism=60
wl_corerev=
boot_hw_model=WRT54G3GV2-VF
ddns_interval=60
wan_get_domain=
et0phyaddr=30
http_from=lan
time_zone=-08 1 1
wl_frag=2346
wl_wep_gen=
wl0_active_mac=
wl_maclist=
filter_macmode=deny
wan_speed=4
filter_web_url9=
wl_nbw=20
ppp_get_srv=
wl0_sta_retry_time=5
LOG_HTTPS=0
filter_web_url5=
filter_web_url6=
http_enable=1
filter_web_url7=
filter_web_url8=
dhcp_num=50
filter_web_url1=
filter_web_url2=
filter_web_url3=
filter_web_url4=
wl_bss_maxassoc=128
ezc_enable=1
upnp_wan_proto=
wl_wep_last=
sms_wol=off
LOG_HTTPD=0
filter_services=$NAME:003:DNS$PROT:003:udp$PORT:005:53:53<&nbsp;>$NAME:004:Ping$PROT:004:icmp$PORT:003:0:0<&nbsp;>$NAME:004:HTTP$PROT:003:tcp$PORT:005:80:80<&nbsp;>$NAME:005:HTTPS$PROT:003:tcp$PORT:007:443:443<&nbsp;>$NAME:003:FTP$PROT:003:tcp$PORT:005:21:21<&nbsp;>$NAME:004:POP3$PROT:003:tcp$PORT:007:110:110<&nbsp;>$NAME:004:IMAP$PROT:003:tcp$PORT:007:143:143<&nbsp;>$NAME:004:SMTP$PROT:003:tcp$PORT:005:25:25<&nbsp;>$NAME:004:NNTP$PROT:003:tcp$PORT:007:119:119<&nbsp;>$NAME:006:Telnet$PROT:003:tcp$PORT:005:23:23<&nbsp;>$NAME:004:SNMP$PROT:003:udp$PORT:007:161:161<&nbsp;>$NAME:004:TFTP$PROT:003:udp$PORT:005:69:69<&nbsp;>$NAME:003:IKE$PROT:003:udp$PORT:007:500:500<&nbsp;>
boardflags=0x0018
wl0_wme_apsd=on
pppoe_idletime=15
pci/1/1/il0macaddr=00:90:4C:8D:00:2a
wl0_rateset=default
filter_web_url10=
ddns_username=
led_dual_led=on
log_usbtype=
d11g_channel=11
http_method=post
lan_proto=dhcp
upnp_internet_dis=0
os_name=linux
lan_ipaddr=192.168.4.1
clkfreq=264
smsinttimer=300
remote_management=0
wan_ifnames=eth1
block_loopback=0
ppp1_get_ip=
LOG_MULTILANG=0
skip_image_copy=0
traceroute_ip=
wl0_radius_ipaddr=
lan_ifnames=eth0 eth2 eth3 eth4
wl0_wme=on
LOG_LANG_IT=0
log_level=0
wl0_reg_mode=off
QoS_cnt=0
wan_hwaddr=00:23:69:C3:30:86
wl_nmode=0
skip_prompt=0
aol_block_traffic2=0
wl0_bss_enabled=1
tftpd_ipaddr=192.168.1.254
sms_rbt=off
wl_net_mode=bg-mixed
wl0_unit=0
wl_hwaddr=
QoS_lan_speed=102400
aol_block_traffic1=0
wl0.3_hwaddr=02:23:69:C3:30:86
wwan_pincode=
multicast_pass=0
wl_amsdu=off
dhcp_mode=1
daylight_time=1
wl0_mac_list=
action_service=
ppp1_server_ip=
wl_ssid=linksys
wl0_afterburner=off
filter_tod_buf6=
http_client_ip=192.168.1.100
filter_tod_buf7=
filter_tod10=
filter_tod_buf8=
wan_dns=
filter_tod_buf9=
LOG_BACKUP_RESTORE=0
block_proxy=0
filter_tod_buf2=
filter_tod_buf3=
filter_tod_buf4=
upnp_ssdp_interval=60
nov_netname=None
filter_tod_buf5=
LOG_WRITE_MAC=0
wl0_wme_ap_vo=3 7 1 3264 1504 off off
wl0_radioids=BCM2050
filter_tod_buf1=
apn_dns1=
log_fileSize=10
apn_dns0=
wl0_wme_ap_vi=7 15 1 6016 3008 off off
mtu_enable=0
wl_radarargs40_11n=5 4 4 100 0x6b0 0x6d9 0x2c40 0x7f07 12 195 2000 25 400000000 1000 6000000
LOG_WWAN_AUTO_CONNECT=0
LOG_USB_AUTOMOUNT=0
LOG_SW_QOS=0
filter_maclist=
pptp_get_ip=
wl_phytype=g
wl0_vlan_prio_mode=off
wl_dfs_postism=60
LOG_LANG_GR=0
sms_int=0
wl_wme_sta_vo=3 7 2 3264 1504 off off
ppp_redialperiod=30
wl_wme_sta_vi=7 15 2 6016 3008 off off
wl0_dtim=1
manual_rate=0
wl_nreqd=0
static_route=
ntp_server1=
ntp_server2=
boardtype=0x042f
wl_wme_bss_disable=0
et1macaddr=00:90:4C:60:00:2B
stats_server=
wwan_icmp_rbt=0
wl0_ampdu=on
dhcp_start=100
wl_mrate=0
LOG_WAKE_ON_LAN=0
wl0_mode=ap
hb_server_ip=
ipsec_pass=1
ka_dns0=0.0.0.0
ka_dns1=0.0.0.0
LOG_LANG_FR=0
lan_domain=
wwan_country_index=0
timer_interval=3600
pptp_mobile_passwd=
wl_wme_apsd=on
wl_radius_ipaddr=
pptp_server_ip=
pmon_ver=CFE 4.151.10.5
LOG_DISABLE_11N_40M=0
ddns_wildcard=OFF
filter_web_host6=
filter_web_host7=
filter_web_host8=
log_show_all=0
filter_web_host9=
LOG_HW_QOS=0
filter_web_host2=
wl0_infra=1
filter_web_host3=
filter_web_host4=
filter_web_host5=
model_name=WRT54G3GV2-VF
ddns_hostname_buf=
wan_get_dns=
boot_wait=on
filter_web_host1=
wl0_leddc=0x640000
bootnv_ver=3
boardrev=0x10
opo=0x0
LOG_LANG_EN=0
wan_unit=0
wl_antdiv=-1
wl_wep_buf=
wl_reg_mode=off
wl_mac_filter=0
LOG_MULTILANG_GUI=0
autofw_port0=
survey_net=0
wl0_crypto=tkip
def_hwaddr=00:00:00:00:00:00
wl_bcn=100
wl_dfs_preism=60
vendor=sprint
wl_sta_retry_time=5
wl0_auth_mode=none
wl_closed=0
LOG_XBOX=0
dr_setting=0
pci/1/1/devid=0x4318
wl0_nmcsidx=-1
ip_conntrack_udp_timeouts=65 180
wl_mac_list=
l2tp_mobile_passwd=
wk_mode=gateway
wl0_gmode_protection=off
manual_boot_nv=0
wl_afterburner=off
LOG_LANG_DE=0
pci/1/1/ccode=0
LOG_DNSMASQ=0
pci/1/1/opo=8
wl0_nbw_cap=2
LOG_GET_POST=0
upnp_max_age=180
wl_radioids=
console_loglevel=1
ddns_mx=
rate_mode=1
wl_gmode_protection=off
wsc_uuid=002369c33085002369c3308504000000
LOG_VLAN=0
l2tp_pass=1
pppoe_username=
https_cert=
is_modified=0
wan_ipaddr=0.0.0.0
reboot_time=60
wan_gateway_buf=0.0.0.0
block_cookie=0
wan_iface=eth1
sdram_refresh=0x0000
dhcp_domain=wan
wl0_wep_bit=64
LOG_SMS_V2=0
wl_wme=on
forward_single=
get_mac=00:23:69:C3:30:85
remote_upgrade=0
wan_primary=1
wwan_ping_interval=180
ccode=0
sms_switch=0
scratch=a0180000
wwan_passwd=web
ddns_passwd=
log_enable=0
dr_wan_tx=0
wl0_frag=2346
wl0_wep=disabled
router_disable=0
QoS=0
pptp_mobile_server=
l2tp_mobile_username=
ddns_passwd_2=
wl0_wme_sta_vo=3 7 2 3264 1504 off off
wl_rateset=default
ddns_change=
wl0_wme_sta_vi=7 15 2 6016 3008 off off
pppoe_ifname=
wl0_radius_port=1812
block_java=0
cctl=0
ct_modules=
wan_get_wins=
pci/1/1/boardtype=0x449
lan_wins1=
sms_int_start=
wl0_wds=
remote_ip=0.0.0.0 0
lan_wins0=
l2tp_mobile_auto=off
wl_vlan_prio_mode=off
wl0_nmode=0
dhcp_statics=
wl_country_code=IT
pci/1/1/boardrev=0x40
wwan_dial=0
wan_proto=dhcp
wl0_amsdu=off
flash_type=S29GL128N10TFI010 8Mx16
security_mode=disabled
LOG_TFTPD=0
bcm4712_firmware_version=v0.00.0
ip_conntrack_max=8192
wl0_wpa_psk=
pci/1/1/sromrev=2
web_wl_filter=0
2ndPort=0
http_client_mac=00:25:00:F2:CC:69
LOG_SECURE_MOBILE=0
LOG_SMS_AUTODEL=0
dr_lan_tx=0
dr_wan_rx=0
wl0_lazywds=0
https_key=
l2tp_mobile_server=
lan_stp=0
log_serverEnable=0
d11g_rts=2347
wl_wpa_psk=
wl0_mac_filter=0
QoS_wan_speed=50120
ppp_demand=1
pci/1/1/boardflags=0xe248
lan_lease=86400
ppp_service=
wl_wme_ap_bk=15 1023 7 0 0 off off
wan_domain=
nvram_version=1
LOG_APN=0
wl_wme_ap_be=15 63 3 0 0 off off
filter_web_host10=
wl0_dfs_preism=60
wl0_nreqd=0
d11g_rate=0
wl0_ssid=linksys
is_default=1
sock_rmem_max=66560
dhcp_lease=0
qos_devpri1=0
qos_devpri2=0
wsc_akm=disabled
os_flash_addr=bfc40000
wl0_mrate=0
LOG_WWAN_RTY_REBOOT=0
qos_devmac1=00:00:00:00:00:00
qos_devmac2=00:00:00:00:00:00
wwan_ademand=2
get_stable_flag_index=1
wwan_ping_rty=off
wl0_ifname=eth2
dr_lan_rx=0
wl0_nctrlsb=none
filter_port=
wwan_card_revision=None
LOG_HEARTBEAT=0
ddns_enable_buf=
dmz_mac=00:00:00:00:00:00
http_wanport=8080
get_sn=CSC01J501466
LOG_UDHCPD_STATIC=0
sms_limit=8
l2tp_get_ip=
et0mdcport=0
router_name=WRT54G3GV2-VF
https_enable=0
pci/1/1/pa0b0=0x142d
pci/1/1/pa0b1=0xfab8
watchdog=5000
wl_phytypes=
pci/1/1/pa0b2=0xfe56
ddns_enable=0
skip_intel_check=0
ppp_passwd=
l2tp_mobile_redialperiod=30
pptp_mobile_redialperiod=30
ddns_username_2=
log_ipaddr=0
wl_radius_port=1812
dmz_dst_ip=1

comment:6 Changed 7 years ago by hauke

We have probably fixed the problem in svn trunk r26801. Please try a recent trunk version and report the results with the dmesg output.

comment:7 Changed 7 years ago by COVERek <coverek@…>

this resolv don't work...

root@OpenWrt:~# dmesg
Linux version 2.6.37.6 (coverek@box) (gcc version 4.5.2 (Linaro GCC 4.5-2011.02-0) ) #6 Tue May 3 22:14:32 CEST 2011
CPU revision is: 00029006 (Broadcom BMIPS3300)
ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x03, vendor 0x4243)
ssb: Core 1 found: Fast Ethernet (cc 0x806, rev 0x06, vendor 0x4243)
ssb: Core 2 found: Fast Ethernet (cc 0x806, rev 0x06, vendor 0x4243)
ssb: Core 3 found: USB 1.1 Hostdev (cc 0x808, rev 0x03, vendor 0x4243)
ssb: Core 4 found: PCI (cc 0x804, rev 0x08, vendor 0x4243)
ssb: Core 5 found: MIPS 3302 (cc 0x816, rev 0x03, vendor 0x4243)
ssb: Core 6 found: V90 (cc 0x807, rev 0x02, vendor 0x4243)
ssb: Core 7 found: IPSEC (cc 0x80B, rev 0x00, vendor 0x4243)
ssb: Core 8 found: MEMC SDRAM (cc 0x80F, rev 0x02, vendor 0x4243)
ssb: chipcommon status is 0x0
ssb: Initializing MIPS core...
ssb: set_irq: core 0x0806, irq 4 => 4
ssb: set_irq: core 0x0806, irq 5 => 5
ssb: set_irq: core 0x0808, irq 6 => 2
ssb: set_irq: core 0x0804, irq 2 => 6
ssb: after irq reconfiguration
ssb: core 0x0800, irq : 2(S)  3* 4  5  6  D  I 
ssb: core 0x0806, irq : 2(S)  3  4* 5  6  D  I 
ssb: core 0x0806, irq : 2(S)  3  4  5* 6  D  I 
ssb: core 0x0808, irq : 2(S)* 3  4  5  6  D  I 
ssb: core 0x0804, irq : 2(S)  3  4  5  6* D  I 
ssb: core 0x0816, irq : 2(S)* 3  4  5  6  D  I 
ssb: core 0x0807, irq : 2(S)* 3  4  5  6  D  I 
ssb: core 0x080b, irq : 2(S)* 3  4  5  6  D  I 
ssb: core 0x080f, irq : 2(S)  3  4  5  6  D  I*
ssb: Sonics Silicon Backplane found at address 0x18000000
Serial init done.
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00002000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00002000
On node 0 totalpages: 8192
free_area_init_node: node 0, pgdat 80260470, node_mem_map 81000000
  Normal zone: 64 pages used for memmap
  Normal zone: 0 pages reserved
  Normal zone: 8128 pages, LIFO batch:0
pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
pcpu-alloc: [0] 0 
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Kernel command line:  root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
PID hash table entries: 128 (order: -3, 512 bytes)
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Primary instruction cache 16kB, VIPT, 2-way, linesize 16 bytes.
Primary data cache 16kB, 2-way, VIPT, cache aliases, linesize 16 bytes
Memory: 29708k/32768k available (2116k kernel code, 3060k reserved, 314k data, 152k init, 0k highmem)
NR_IRQS:128
console [ttyS0] enabled
Calibrating delay loop... 263.16 BogoMIPS (lpj=526336)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
bio: create slab <bio-0> at 0
Switching to clocksource MIPS
ssb: PCIcore in host mode found
pci 0000:00:00.0: [14e4:4704] type 0 class 0x000600
PCI: Fixing up bridge 0000:00:00.0
PCI: Setting latency timer of device 0000:00:00.0 to 64
PCI: Fixing up device 0000:00:00.0
PCI: Fixing latency timer of device 0000:00:00.0 to 168
pci 0000:00:00.0: reg 10: [mem 0x00000000-0x00001fff]
pci 0000:00:00.0: reg 14: [mem 0x00000000-0x07ffffff pref]
pci 0000:00:01.0: [14e4:4318] type 0 class 0x000280
pci 0000:00:01.0: reg 10: [mem 0x00000000-0x00001fff]
pci 0000:00:02.0: [1033:0035] type 0 class 0x000c03
pci 0000:00:02.0: reg 10: [mem 0x00000000-0x00000fff]
pci 0000:00:02.0: supports D1 D2
pci 0000:00:02.0: PME# supported from D0 D1 D2 D3hot
pci 0000:00:02.0: PME# disabled
pci 0000:00:02.1: [1033:00e0] type 0 class 0x000c03
pci 0000:00:02.1: reg 10: [mem 0x00000000-0x000000ff]
pci 0000:00:02.1: supports D1 D2
pci 0000:00:02.1: PME# supported from D0 D1 D2 D3hot
pci 0000:00:02.1: PME# disabled
pci 0000:00:03.0: [104c:ac56] type 2 class 0x000607
pci 0000:00:03.0: reg 10: [mem 0x00000000-0x00000fff]
pci 0000:00:03.0: supports D1 D2
pci 0000:00:03.0: PME# supported from D0 D1 D2 D3hot D3cold
pci 0000:00:03.0: PME# disabled
pci 0000:00:03.0: BAR 9: assigned [mem 0x40000000-0x43ffffff pref]
pci 0000:00:03.0: BAR 10: assigned [mem 0x44000000-0x47ffffff]
pci 0000:00:01.0: BAR 0: assigned [mem 0x48000000-0x48001fff]
pci 0000:00:01.0: BAR 0: set to [mem 0x48000000-0x48001fff] (PCI address [0x48000000-0x48001fff])
pci 0000:00:02.0: BAR 0: assigned [mem 0x48002000-0x48002fff]
pci 0000:00:02.0: BAR 0: set to [mem 0x48002000-0x48002fff] (PCI address [0x48002000-0x48002fff])
pci 0000:00:03.0: BAR 0: assigned [mem 0x48003000-0x48003fff]
pci 0000:00:03.0: BAR 0: set to [mem 0x48003000-0x48003fff] (PCI address [0x48003000-0x48003fff])
pci 0000:00:02.1: BAR 0: assigned [mem 0x48004000-0x480040ff]
pci 0000:00:02.1: BAR 0: set to [mem 0x48004000-0x480040ff] (PCI address [0x48004000-0x480040ff])
pci 0000:00:03.0: BAR 7: assigned [io  0x0400-0x04ff]
pci 0000:00:03.0: BAR 8: can't assign io (size 0x100)
pci 0000:00:03.0: CardBus bridge to [bus 01-04]
pci 0000:00:03.0:   bridge window [io  0x0400-0x04ff]
pci 0000:00:03.0:   bridge window [mem 0x40000000-0x43ffffff pref]
pci 0000:00:03.0:   bridge window [mem 0x44000000-0x47ffffff]
PCI: Enabling device 0000:00:03.0 (0000 -> 0003)
PCI: Fixing up device 0000:00:03.0
PCI: Setting latency timer of device 0000:00:03.0 to 64
PCI: Enabling device 0000:00:01.0 (0000 -> 0002)
PCI: Fixing up device 0000:00:01.0
PCI: Setting latency timer of device 0000:00:01.0 to 64
ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x0D, vendor 0x4243)
ssb: Core 1 found: IEEE 802.11 (cc 0x812, rev 0x09, vendor 0x4243)
ssb: Core 2 found: PCI (cc 0x804, rev 0x0C, vendor 0x4243)
ssb: Core 3 found: PCMCIA (cc 0x80D, rev 0x07, vendor 0x4243)
ssb: chipcommon status is 0x0
ssb: SPROM offset is 0x1000
ssb: WARNING: Invalid SPROM CRC (corrupt SPROM)
ssb: SPROM revision 0 detected.
ssb: Unsupported SPROM revision 0 detected. Will extract v1
ssb: Sonics Silicon Backplane found on PCI device 0000:00:01.0
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
PCI: CLS 0 bytes, default 32
squashfs: version 4.0 (2009/01/31) Phillip Lougher
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 58
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
serial8250: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
serial8250: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
flash init: 0x1c000000 0x02000000
Physically mapped flash: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x000001 Chip ID 0x002101
Physically mapped flash: Found an alias at 0x1000000 for the chip at 0x0
Amd/Fujitsu Extended Query Table at 0x0040
  Amd/Fujitsu Extended Query version 1.3.
number of CFI chips: 1
Flash device: 0x1000000 at 0x1fc00000
bootloader size: 262144
Looking for dual image
dual image TRX header found
TRX offset : 0
Creating 4 MTD partitions on "Physically mapped flash":
0x000000000000-0x000000040000 : "cfe"
0x000000040000-0x0000007e0000 : "linux"
0x00000010cc00-0x0000007e0000 : "rootfs"
mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=3A0000, len=440000 
0x0000003a0000-0x0000007e0000 : "rootfs_data"
0x000000fe0000-0x000001000000 : "nvram"
b44: b44.c:v2.0
b44 ssb0:0: eth0: Broadcom 44xx/47xx 10/100BaseT Ethernet 00:23:69:c3:30:85
b44 ssb0:1: eth1: PHY Reset would not complete
b44 ssb0:1: eth1: Broadcom 44xx/47xx 10/100BaseT Ethernet 00:90:4c:60:00:2b
BCM47xx Watchdog Timer enabled (30 seconds, nowayout)
TCP westwood registered
NET: Registered protocol family 17
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing unused kernel memory: 152k freed
diag: Detected 'Linksys WRT54G3GV2-VF'
b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
b44 ssb0:0: eth0: Flow control is off for TX and off for RX
roboswitch: Probing device eth0: found a 5325! It's a 5350.
JFFS2 notice: (282) jffs2_build_xattr_subsystem: complete building xattr subsystem, 2 of xdatum (0 unchecked, 2 orphan) and 2 of xref (0 dead, 2 orphan) found.
b44 ssb0:0: eth0: powering down PHY
b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
b44 ssb0:0: eth0: Flow control is off for TX and off for RX
device eth0 entered promiscuous mode
br-lan: port 1(eth0) entering forwarding state
br-lan: port 1(eth0) entering forwarding state
b44 ssb0:1: eth1: Link is up at 100 Mbps, full duplex
b44 ssb0:1: eth1: Flow control is off for TX and off for RX
b44 ssb0:1: eth1: powering down PHY
b44 ssb0:1: eth1: Link is up at 100 Mbps, full duplex
b44 ssb0:1: eth1: Flow control is off for TX and off for RX
br-lan: port 1(eth0) entering forwarding state
br-lan: port 1(eth0) entering forwarding state
br-lan: port 1(eth0) entering forwarding state
ocf: module license 'BSD' taints kernel.
Disabling lock debugging due to kernel taint
Sentry5(tm) ROBOGateway(tm) IPSec Core at IRQ 2
ubsec_ssb: DES 3DES AES128 AES192 AES256 MD5_HMAC SHA1_HMAC
Compat-wireless backport release: compat-wireless-2011-04-14
Backport based on wireless-testing.git master-2011-04-19
cfg80211: Calling CRDA to update world regulatory domain
cfg80211: World regulatory domain updated:
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
b43-phy0: Broadcom 4318 WLAN found (core revision 9)
ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
Broadcom 43xx driver loaded [ Features: PL, GPIO LED Mask: 0x000f, Firmware-ID: FW13 ]
Broadcom 43xx-legacy driver loaded [ Features: PLID, Firmware-ID: FW10 ]
PPP generic driver version 2.4.2
ip_tables: (C) 2000-2006 Netfilter Core Team
NET: Registered protocol family 24
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
PCI: Enabling device 0000:00:02.1 (0000 -> 0002)
PCI: Fixing up device 0000:00:02.1
ehci_hcd 0000:00:02.1: EHCI Host Controller
ehci_hcd 0000:00:02.1: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:02.1: irq 6, io mem 0x48004000
ehci_hcd 0000:00:02.1: USB 2.0 started, EHCI 1.00
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
nf_conntrack version 0.5.0 (466 buckets, 1864 max)
yenta_cardbus 0000:00:03.0: CardBus bridge found [0000:0000]
yenta_cardbus 0000:00:03.0: no resource of type 100 available, trying to continue...
yenta_cardbus 0000:00:03.0: ISA IRQ mask 0x06f8, PCI irq 6
yenta_cardbus 0000:00:03.0: Socket status: 30000087
yenta_cardbus 0000:00:03.0: pcmcia: parent PCI bridge window: [io  0x0100-0x07ff]
yenta_cardbus 0000:00:03.0: pcmcia: parent PCI bridge window: [mem 0x40000000-0x7fffffff]
pcmcia_socket pcmcia_socket0: cs: memory probe 0x40000000-0x7fffffff: excluding 0x40000000-0x487fffff
ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
PCI: Enabling device 0000:00:02.0 (0000 -> 0002)
PCI: Fixing up device 0000:00:02.0
PCI: Setting latency timer of device 0000:00:02.0 to 64
ohci_hcd 0000:00:02.0: OHCI Host Controller
ohci_hcd 0000:00:02.0: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:02.0: irq 6, io mem 0x48002000
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 3 ports detected
ohci_hcd ssb0:2: SSB OHCI Controller
ohci_hcd ssb0:2: new USB bus registered, assigned bus number 3
ohci_hcd ssb0:2: irq 2, io mem 0x18003000
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
usbcore: registered new interface driver usblp
usbcore: registered new interface driver usbserial
USB Serial support registered for generic
usbcore: registered new interface driver usbserial_generic
usbserial: USB Serial Driver core
hso: drivers/net/usb/hso.c: Option Wireless
usbcore: registered new interface driver hso
USB Serial support registered for GSM modem (1-port)
usbcore: registered new interface driver option
option: v0.7.2:USB Driver for GSM modems
fuse init (API version 7.15)
fuse init DCACHE_BUG workaround enabled
pcmcia_socket pcmcia_socket0: cs: memory probe 0x0c0000-0x0fffff: excluding 0xc0000-0xfffff
pcmcia_socket pcmcia_socket0: cs: memory probe 0xa0000000-0xa0ffffff: excluding 0xa0000000-0xa0ffffff
pcmcia_socket pcmcia_socket0: cs: memory probe 0x60000000-0x60ffffff: clean

comment:8 Changed 7 years ago by hauke

The new patches did not get applied correctly.

PCI: Enabling device 0000:00:01.0 (0000 -> 0002)
PCI: Fixing up device 0000:00:01.0
PCI: Setting latency timer of device 0000:00:01.0 to 64
ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x0D, vendor 0x4243)
ssb: Core 1 found: IEEE 802.11 (cc 0x812, rev 0x09, vendor 0x4243)
ssb: Core 2 found: PCI (cc 0x804, rev 0x0C, vendor 0x4243)
ssb: Core 3 found: PCMCIA (cc 0x80D, rev 0x07, vendor 0x4243)
ssb: chipcommon status is 0x0
ssb: SPROM offset is 0x1000
ssb: WARNING: Invalid SPROM CRC (corrupt SPROM)
ssb: SPROM revision 0 detected.
ssb: Unsupported SPROM revision 0 detected. Will extract v1
ssb: Sonics Silicon Backplane found on PCI device 0000:00:01.0

The order of messages you got is impossible in the new version. Pleas clean the kernel with make target/clean V=99 and build a new image to flash.

comment:9 Changed 7 years ago by COVERek <coverek@…>

Follow my commands...

make clean && make distclean && make

And we have this now...

root@OpenWrt:/# cat etc/config/wireless 
config wifi-device  radio0
        option type     mac80211
        option channel  11
        option macaddr  00:00:00:00:00:00
        option hwmode   11g

        # REMOVE THIS LINE TO ENABLE WIFI:
        option disabled 1

config wifi-iface
        option device   radio0
        option network  lan
        option mode     ap
        option ssid     OpenWrt
        option encryption none

root@OpenWrt:/# dmesg
Linux version 2.6.37.6 (coverek@box) (gcc version 4.5.2 (Linaro GCC 4.5-2011.02-0) ) #1 Wed May 4 18:36:18 CEST 2011
CPU revision is: 00029006 (Broadcom BMIPS3300)
ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x03, vendor 0x4243)
ssb: Core 1 found: Fast Ethernet (cc 0x806, rev 0x06, vendor 0x4243)
ssb: Core 2 found: Fast Ethernet (cc 0x806, rev 0x06, vendor 0x4243)
ssb: Core 3 found: USB 1.1 Hostdev (cc 0x808, rev 0x03, vendor 0x4243)
ssb: Core 4 found: PCI (cc 0x804, rev 0x08, vendor 0x4243)
ssb: Core 5 found: MIPS 3302 (cc 0x816, rev 0x03, vendor 0x4243)
ssb: Core 6 found: V90 (cc 0x807, rev 0x02, vendor 0x4243)
ssb: Core 7 found: IPSEC (cc 0x80B, rev 0x00, vendor 0x4243)
ssb: Core 8 found: MEMC SDRAM (cc 0x80F, rev 0x02, vendor 0x4243)
ssb: chipcommon status is 0x0
ssb: Initializing MIPS core...
ssb: set_irq: core 0x0806, irq 4 => 4
ssb: set_irq: core 0x0806, irq 5 => 5
ssb: set_irq: core 0x0808, irq 6 => 2
ssb: set_irq: core 0x0804, irq 2 => 6
ssb: after irq reconfiguration
ssb: core 0x0800, irq : 2(S)  3* 4  5  6  D  I 
ssb: core 0x0806, irq : 2(S)  3  4* 5  6  D  I 
ssb: core 0x0806, irq : 2(S)  3  4  5* 6  D  I 
ssb: core 0x0808, irq : 2(S)* 3  4  5  6  D  I 
ssb: core 0x0804, irq : 2(S)  3  4  5  6* D  I 
ssb: core 0x0816, irq : 2(S)* 3  4  5  6  D  I 
ssb: core 0x0807, irq : 2(S)* 3  4  5  6  D  I 
ssb: core 0x080b, irq : 2(S)* 3  4  5  6  D  I 
ssb: core 0x080f, irq : 2(S)  3  4  5  6  D  I*
ssb: Sonics Silicon Backplane found at address 0x18000000
Serial init done.
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00002000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00002000
On node 0 totalpages: 8192
free_area_init_node: node 0, pgdat 80260470, node_mem_map 81000000
  Normal zone: 64 pages used for memmap
  Normal zone: 0 pages reserved
  Normal zone: 8128 pages, LIFO batch:0
pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
pcpu-alloc: [0] 0 
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Kernel command line:  root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
PID hash table entries: 128 (order: -3, 512 bytes)
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Primary instruction cache 16kB, VIPT, 2-way, linesize 16 bytes.
Primary data cache 16kB, 2-way, VIPT, cache aliases, linesize 16 bytes
Memory: 29708k/32768k available (2121k kernel code, 3060k reserved, 309k data, 152k init, 0k highmem)
NR_IRQS:128
console [ttyS0] enabled
Calibrating delay loop... 263.16 BogoMIPS (lpj=526336)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
bio: create slab <bio-0> at 0
Switching to clocksource MIPS
ssb: PCIcore in host mode found
pci 0000:00:00.0: [14e4:4704] type 0 class 0x000600
PCI: Fixing up bridge 0000:00:00.0
PCI: Setting latency timer of device 0000:00:00.0 to 64
PCI: Fixing up device 0000:00:00.0
PCI: Fixing latency timer of device 0000:00:00.0 to 168
pci 0000:00:00.0: reg 10: [mem 0x00000000-0x00001fff]
pci 0000:00:00.0: reg 14: [mem 0x00000000-0x07ffffff pref]
pci 0000:00:01.0: [14e4:4318] type 0 class 0x000280
pci 0000:00:01.0: reg 10: [mem 0x00000000-0x00001fff]
pci 0000:00:02.0: [1033:0035] type 0 class 0x000c03
pci 0000:00:02.0: reg 10: [mem 0x00000000-0x00000fff]
pci 0000:00:02.0: supports D1 D2
pci 0000:00:02.0: PME# supported from D0 D1 D2 D3hot
pci 0000:00:02.0: PME# disabled
pci 0000:00:02.1: [1033:00e0] type 0 class 0x000c03
pci 0000:00:02.1: reg 10: [mem 0x00000000-0x000000ff]
pci 0000:00:02.1: supports D1 D2
pci 0000:00:02.1: PME# supported from D0 D1 D2 D3hot
pci 0000:00:02.1: PME# disabled
pci 0000:00:03.0: [104c:ac56] type 2 class 0x000607
pci 0000:00:03.0: reg 10: [mem 0x00000000-0x00000fff]
pci 0000:00:03.0: supports D1 D2
pci 0000:00:03.0: PME# supported from D0 D1 D2 D3hot D3cold
pci 0000:00:03.0: PME# disabled
pci 0000:00:03.0: BAR 9: assigned [mem 0x40000000-0x43ffffff pref]
pci 0000:00:03.0: BAR 10: assigned [mem 0x44000000-0x47ffffff]
pci 0000:00:01.0: BAR 0: assigned [mem 0x48000000-0x48001fff]
pci 0000:00:01.0: BAR 0: set to [mem 0x48000000-0x48001fff] (PCI address [0x48000000-0x48001fff])
pci 0000:00:02.0: BAR 0: assigned [mem 0x48002000-0x48002fff]
pci 0000:00:02.0: BAR 0: set to [mem 0x48002000-0x48002fff] (PCI address [0x48002000-0x48002fff])
pci 0000:00:03.0: BAR 0: assigned [mem 0x48003000-0x48003fff]
pci 0000:00:03.0: BAR 0: set to [mem 0x48003000-0x48003fff] (PCI address [0x48003000-0x48003fff])
pci 0000:00:02.1: BAR 0: assigned [mem 0x48004000-0x480040ff]
pci 0000:00:02.1: BAR 0: set to [mem 0x48004000-0x480040ff] (PCI address [0x48004000-0x480040ff])
pci 0000:00:03.0: BAR 7: assigned [io  0x0400-0x04ff]
pci 0000:00:03.0: BAR 8: can't assign io (size 0x100)
pci 0000:00:03.0: CardBus bridge to [bus 01-04]
pci 0000:00:03.0:   bridge window [io  0x0400-0x04ff]
pci 0000:00:03.0:   bridge window [mem 0x40000000-0x43ffffff pref]
pci 0000:00:03.0:   bridge window [mem 0x44000000-0x47ffffff]
PCI: Enabling device 0000:00:03.0 (0000 -> 0003)
PCI: Fixing up device 0000:00:03.0
PCI: Setting latency timer of device 0000:00:03.0 to 64
PCI: Enabling device 0000:00:01.0 (0000 -> 0002)
PCI: Fixing up device 0000:00:01.0
PCI: Setting latency timer of device 0000:00:01.0 to 64
ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x0D, vendor 0x4243)
ssb: Core 1 found: IEEE 802.11 (cc 0x812, rev 0x09, vendor 0x4243)
ssb: Core 2 found: PCI (cc 0x804, rev 0x0C, vendor 0x4243)
ssb: Core 3 found: PCMCIA (cc 0x80D, rev 0x07, vendor 0x4243)
ssb: chipcommon status is 0x0
ssb: SPROM offset is 0x1000
ssb: Sonics Silicon Backplane found on PCI device 0000:00:01.0
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
PCI: CLS 0 bytes, default 32
squashfs: version 4.0 (2009/01/31) Phillip Lougher
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 58
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
serial8250: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
serial8250: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
flash init: 0x1c000000 0x02000000
Physically mapped flash: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x000001 Chip ID 0x002101
Physically mapped flash: Found an alias at 0x1000000 for the chip at 0x0
Amd/Fujitsu Extended Query Table at 0x0040
  Amd/Fujitsu Extended Query version 1.3.
number of CFI chips: 1
Flash device: 0x1000000 at 0x1fc00000
bootloader size: 262144
Looking for dual image
dual image TRX header found
TRX offset : 0
Updating TRX offsets and length:
old trx = [0x00000020, 0x0000096c, 0x000cd000], len=0x002c1000 crc32=0x2b9903af
new trx = [0x00000020, 0x0000096c, 0x000cd000], len=0x000cd000 crc32=0x0690f78d
Done
Creating 4 MTD partitions on "Physically mapped flash":
0x000000000000-0x000000040000 : "cfe"
0x000000040000-0x0000007e0000 : "linux"
0x00000010d000-0x0000007e0000 : "rootfs"
mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=2E0000, len=500000 
0x0000002e0000-0x0000007e0000 : "rootfs_data"
0x000000fe0000-0x000001000000 : "nvram"
b44: b44.c:v2.0
b44 ssb0:0: eth0: Broadcom 44xx/47xx 10/100BaseT Ethernet 00:23:69:c3:30:85
b44 ssb0:1: eth1: PHY Reset would not complete
b44 ssb0:1: eth1: Broadcom 44xx/47xx 10/100BaseT Ethernet 00:90:4c:60:00:2b
BCM47xx Watchdog Timer enabled (30 seconds, nowayout)
TCP westwood registered
NET: Registered protocol family 17
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing unused kernel memory: 152k freed
diag: Detected 'Linksys WRT54G3GV2-VF'
b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
b44 ssb0:0: eth0: Flow control is off for TX and off for RX
roboswitch: Probing device eth0: found a 5325! It's a 5350.
b44 ssb0:0: eth0: powering down PHY
b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
b44 ssb0:0: eth0: Flow control is off for TX and off for RX
device eth0 entered promiscuous mode
br-lan: port 1(eth0) entering forwarding state
br-lan: port 1(eth0) entering forwarding state
b44 ssb0:1: eth1: Link is up at 100 Mbps, full duplex
b44 ssb0:1: eth1: Flow control is off for TX and off for RX
b44 ssb0:1: eth1: powering down PHY
b44 ssb0:1: eth1: Link is up at 100 Mbps, full duplex
b44 ssb0:1: eth1: Flow control is off for TX and off for RX
br-lan: port 1(eth0) entering forwarding state
br-lan: port 1(eth0) entering forwarding state
br-lan: port 1(eth0) entering forwarding state
Compat-wireless backport release: compat-wireless-2011-04-14
Backport based on wireless-testing.git master-2011-04-19
cfg80211: Calling CRDA to update world regulatory domain
cfg80211: World regulatory domain updated:
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
b43-phy0: Broadcom 4318 WLAN found (core revision 9)
ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
Broadcom 43xx driver loaded [ Features: PL, GPIO LED Mask: 0x000f, Firmware-ID: FW13 ]
Broadcom 43xx-legacy driver loaded [ Features: PLID, Firmware-ID: FW10 ]
PPP generic driver version 2.4.2
ip_tables: (C) 2000-2006 Netfilter Core Team
NET: Registered protocol family 24
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
PCI: Enabling device 0000:00:02.1 (0000 -> 0002)
PCI: Fixing up device 0000:00:02.1
ehci_hcd 0000:00:02.1: EHCI Host Controller
ehci_hcd 0000:00:02.1: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:02.1: irq 6, io mem 0x48004000
ehci_hcd 0000:00:02.1: USB 2.0 started, EHCI 1.00
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
nf_conntrack version 0.5.0 (466 buckets, 1864 max)
yenta_cardbus 0000:00:03.0: CardBus bridge found [0000:0000]
yenta_cardbus 0000:00:03.0: no resource of type 100 available, trying to continue...
yenta_cardbus 0000:00:03.0: ISA IRQ mask 0x06f8, PCI irq 6
yenta_cardbus 0000:00:03.0: Socket status: 30000087
yenta_cardbus 0000:00:03.0: pcmcia: parent PCI bridge window: [io  0x0100-0x07ff]
yenta_cardbus 0000:00:03.0: pcmcia: parent PCI bridge window: [mem 0x40000000-0x7fffffff]
pcmcia_socket pcmcia_socket0: cs: memory probe 0x40000000-0x7fffffff: excluding 0x40000000-0x487fffff
ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
PCI: Enabling device 0000:00:02.0 (0000 -> 0002)
PCI: Fixing up device 0000:00:02.0
PCI: Setting latency timer of device 0000:00:02.0 to 64
ohci_hcd 0000:00:02.0: OHCI Host Controller
ohci_hcd 0000:00:02.0: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:02.0: irq 6, io mem 0x48002000
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 3 ports detected
ohci_hcd ssb0:2: SSB OHCI Controller
ohci_hcd ssb0:2: new USB bus registered, assigned bus number 3
ohci_hcd ssb0:2: irq 2, io mem 0x18003000
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
usbcore: registered new interface driver usblp
usbcore: registered new interface driver usbserial
USB Serial support registered for generic
usbcore: registered new interface driver usbserial_generic
usbserial: USB Serial Driver core
hso: drivers/net/usb/hso.c: Option Wireless
usbcore: registered new interface driver hso
USB Serial support registered for GSM modem (1-port)
usbcore: registered new interface driver option
option: v0.7.2:USB Driver for GSM modems
jffs2_scan_eraseblock(): End of filesystem marker found at 0x0
jffs2_build_filesystem(): unlocking the mtd device... done.
jffs2_build_filesystem(): erasing all blocks after the end marker... done.
JFFS2 notice: (1045) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 of xref (0 dead, 0 orphan) found.

comment:10 Changed 7 years ago by hauke

I found some problems in the code, could you please try the latest version and add the attached patch (just place it in target/linux/brcm47xx/patches-2.6.37/ )

Changed 7 years ago by hauke

comment:11 Changed 7 years ago by COVERek <coverek@…>

It works! THX! :)

comment:12 Changed 7 years ago by hauke

  • Resolution set to fixed
  • Status changed from accepted to closed

Thank you for reporting the issue and testing the fix.

comment:13 Changed 6 years ago by dA.oOZe

  • Resolution fixed deleted
  • Status changed from closed to reopened

I still have this problem with Backfire 10.03.1 final. Did the patch apply to that release? Issue and symptoms are the same as above.

comment:14 Changed 5 years ago by hauke

  • Description modified (diff)
  • Resolution set to wontfix
  • Status changed from reopened to closed

This issue is fixed in trunk and will be in the next relase, but we will not backport this to Backfire.

comment:15 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.